Skip to main content
POST
/
2025-01
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
creatives
/2025-01/marketing-solutions/advertisers/{advertiser-id}/creatives
curl --request POST \
  --url https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/creatives \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "id": "<string>",
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "advertiserId": "<string>",
      "author": "<string>",
      "name": "<string>",
      "status": "<string>",
      "adaptiveAttributes": {
        "callsToAction": [
          "<string>"
        ],
        "colors": {
          "backgroundColor": "<string>",
          "ctaBackgroundColor": "<string>",
          "ctaTextColor": "<string>",
          "logoAreaAndTitleColor": "<string>",
          "text1Color": "<string>",
          "text2Color": "<string>"
        },
        "descriptionFont": "<string>",
        "descriptionText": "<string>",
        "headlineFont": "<string>",
        "headlineText": "<string>",
        "landingPageUrl": "<string>",
        "layouts": [],
        "logos": [
          {
            "url": "<string>"
          }
        ],
        "imageSets": [
          {
            "images": [
              {
                "url": "<string>"
              }
            ],
            "headlineText": "<string>"
          }
        ],
        "videos": [
          {
            "duration": 123,
            "url": "<string>"
          }
        ]
      },
      "datasetId": "<string>",
      "description": "<string>",
      "dynamicAttributes": {
        "bodyTextColor": "<string>",
        "callsToAction": [
          "<string>"
        ],
        "creativeBackgroundColor": "<string>",
        "logos": [
          {
            "url": "<string>"
          }
        ],
        "pricesColor": "<string>",
        "primaryFont": "<string>"
      },
      "format": "<string>",
      "htmlTagAttributes": {
        "tags": [
          {
            "htmlTag": "<string>",
            "size": {
              "height": 123,
              "width": 123
            }
          }
        ]
      },
      "id": "<string>",
      "imageAttributes": {
        "landingPageUrl": "<string>",
        "urls": [
          "<string>"
        ]
      }
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

advertiser-id
string
required

The advertiser identifier.

Body

application/json

A top-level object that encapsulates a Criteo API request for a single entity.

data
object

A class that represents a domain entity exposed by an API.

Response

201 - application/json

The created creative is returned.

A top-level object that encapsulates a Criteo API response for a single entity.

data
object

A class that represents a domain entity exposed by an API.

errors
object[] | null
read-only
warnings
object[] | null
read-only